Subject: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Jun 2016 18:55:55 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Mon, 6 Jun 2016 20:18:06 -0400
> Cc: Colin Woodbury <[email-masked]>, martin rudalics <[email-masked]>, [email-masked], 
> 	John Mastro <[email-masked]>
> 
> I think it makes sense to not do the face extension by default.

Not even for the background color?  Or are you talking only about the
underline?

> For the case I mentioned earlier, magit isn't actually underlining
> text, it just wants to make some horizontal lines. It would be nice to
> have some way to ask the display engine to do this directly.

There's a way of doing that which we use in the VC commit log buffer,
I believe it uses the line-height property.  (I thought magit was
using that as well, no?)